# Uses of Interface
org.springframework.web.servlet.handler.HandlerMethodMappingNamingStrategy

Packages that use HandlerMethodMappingNamingStrategy
Package
Description
org.springframework.web.servlet.handler
Provides standard HandlerMapping implementations, including abstract base classes for custom implementations.
org.springframework.web.servlet.mvc.method
Servlet-based infrastructure for handler method processing, building on the `org.springframework.web.method` package.

## Uses of HandlerMethodMappingNamingStrategy in org.springframework.web.servlet.handler

Methods in org.springframework.web.servlet.handler that return HandlerMethodMappingNamingStrategy
Modifier and Type
Method
Description
`HandlerMethodMappingNamingStrategy<T>`
AbstractHandlerMethodMapping.`getNamingStrategy()`
Return the configured naming strategy or `null`.
Methods in org.springframework.web.servlet.handler with parameters of type HandlerMethodMappingNamingStrategy
Modifier and Type
Method
Description
`void`
AbstractHandlerMethodMapping.`setHandlerMethodMappingNamingStrategy(HandlerMethodMappingNamingStrategy<T> namingStrategy)`
Configure the naming strategy to use for assigning a default name to every mapped handler method.

## Uses of HandlerMethodMappingNamingStrategy in org.springframework.web.servlet.mvc.method

Classes in org.springframework.web.servlet.mvc.method that implement HandlerMethodMappingNamingStrategy
Modifier and Type
Class
Description
`class`
`RequestMappingInfoHandlerMethodMappingNamingStrategy`
A `HandlerMethodMappingNamingStrategy` for `RequestMappingInfo`-based handler method mappings.